Bug 156297 - [MAINTAINER] databases/mongodb: update to 1.8.1
[MAINTAINER] databases/mongodb: update to 1.8.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Li-Wen Hsu
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-09 17:20 UTC by mail
Modified: 2011-04-23 14:50 UTC (History)
0 users

See Also:


Attachments
mongodb-1.8.1.patch (9.51 KB, patch)
2011-04-09 17:20 UTC, mail
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mail 2011-04-09 17:20:09 UTC
- Update from 1.6.5 to 1.8.1
- Attached a patch to fix the TERM handling issue in SConstruct
- Added "ldconfig" to the rc.d script to start mongod correctly if running in a jail

Added file(s):
- files/patch-SConstruct

Generated with FreeBSD Port Tools 0.99
Comment 1 Li-Wen Hsu freebsd_committer 2011-04-12 04:07:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lwhsu

I'll take it.
Comment 2 Li-Wen Hsu freebsd_committer 2011-04-15 20:05:32 UTC
State Changed
From-To: open->feedback

How about this patch? 

http://people.freebsd.org/~lwhsu/mongodb-1.8.1.diff 

I did some monor modifications: 

- Remove unsupported FreeBSD version stuff 
- Replace pkg-install and pkg-deinstall with USERS and GROUPS in Makefile
Comment 3 mail 2011-04-23 11:08:54 UTC
Thanks for your improvements. I approve the patch.

Mirko
Comment 4 dfilter freebsd_committer 2011-04-23 14:45:37 UTC
lwhsu       2011-04-23 13:45:28 UTC

  FreeBSD ports repository

  Modified files:
    databases/mongodb    Makefile distinfo pkg-plist 
    databases/mongodb/files mongod.in 
  Added files:
    databases/mongodb/files patch-SConstruct 
  Removed files:
    databases/mongodb    pkg-deinstall pkg-install 
  Log:
  - Update from 1.6.5 to 1.8.1 [1]
  - Attached a patch to fix the TERM handling issue in SConstruct [1]
  - Added "ldconfig" to the rc.d script to start mongod correctly if running in a jail [1]
  - Remove unsupported FreeBSD version stuff
  - Replace pkg-install and pkg-deinstall with USERS and GROUPS in Makefile
  
  PR:             ports/156297 [1]
  Submitted by:   Mirko Zinn <mail AT derzinn.de> (maintainer)
  
  Revision  Changes    Path
  1.19      +5 -9      ports/databases/mongodb/Makefile
  1.16      +2 -2      ports/databases/mongodb/distinfo
  1.6       +1 -1      ports/databases/mongodb/files/mongod.in
  1.1       +14 -0     ports/databases/mongodb/files/patch-SConstruct (new)
  1.2       +0 -15     ports/databases/mongodb/pkg-deinstall (dead)
  1.2       +0 -43     ports/databases/mongodb/pkg-install (dead)
  1.5       +40 -8     ports/databases/mongodb/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2011-04-23 14:46:41 UTC
lwhsu       2011-04-23 13:46:33 UTC

  FreeBSD ports repository

  Modified files:
    .                    UIDs 
  Log:
  - Replace pkg-install and pkg-deinstall with USERS and GROUPS in Makefile
    for databases/mongodb
  
  PR:             ports/156297
  
  Revision  Changes    Path
  1.148     +2 -2      ports/UIDs
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Li-Wen Hsu freebsd_committer 2011-04-23 14:46:43 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!